
Ryzom - Feature # 99

Status: Closed Priority: Normal
Author: kaetemi Category: NeL: General
Created: 09/12/2008 Assignee: kaetemi
Updated: 09/30/2010 Due date:
Subject: Sound buffer streaming
Description

Implement buffer streaming in OpenAL and XAudio2 drivers. Required for moving music channel (ogg, etc) logic from drivers to
nlsound.

History
#1 - 10/06/2008 06:46 am - kaetemi
- Category changed from Sound to Sound Lowlevel
- % Done changed from 0 to 10

#2 - 02/20/2009 04:26 pm - kaetemi
- % Done changed from 10 to 20

#3 - 02/24/2009 03:18 pm - kaetemi
- % Done changed from 20 to 50

#4 - 02/24/2009 07:10 pm - kaetemi
- % Done changed from 50 to 80

#5 - 05/11/2009 07:26 pm - sfb
- Status changed from Assigned to Closed

Work on this is complete. If there are any issues or further enhancements please create a new issue.

A new issue should be created for driver-independent source (e.g. ogg) loading.

#6 - 05/11/2009 07:31 pm - kervala
- % Done changed from 80 to 100

#7 - 09/29/2010 09:10 pm - kervala
- Project changed from NeL to Ryzom
- Category deleted (Sound Lowlevel)
- Target version deleted (Version 0.7.0)

#8 - 09/30/2010 11:30 am - kervala
- Category set to NeL: General
- Target version set to Version 0.7.0
